> This page is for version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.paid.ai/v-2/llms.txt
> - v1: https://docs.paid.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paid.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paid.ai/_mcp/server.

# Batch assign seats

POST https://api.agentpaid.io/api/v2/orders/{id}/seat-assignments
Content-Type: application/json

Assign or unassign seats in batch for an order

Reference: https://docs.paid.ai/api-reference/api-reference/orders/batch-order-seat-assignments

## Authentication

- `Authorization` header (bearer token, required) — API Key authentication using Bearer token

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects a BatchSeatAssignmentsRequest.

- `assignments` (list of BatchSeatAssignmentsRequestAssignmentsItems, required)

## Response

### 200

200

- `data` (list of OrderSeat, required)

## Errors

### 400 Bad Request Error

400

- `error` (string, required)
- `code` (string, optional)
- `details` (string, optional)

### 403 Forbidden Error

403

- `error` (string, required)
- `code` (string, optional)
- `details` (string, optional)

### 404 Not Found Error

404

- `error` (string, required)
- `code` (string, optional)
- `details` (string, optional)

### 409 Conflict Error

409

- `error` (string, required)
- `code` (string, optional)
- `details` (string, optional)

### 500 Internal Server Error

500

- `error` (string, required)
- `code` (string, optional)
- `details` (string, optional)

## Types

### BatchSeatAssignmentsRequestAssignmentsItems

- `seatId` (string, required)
- `userExternalId` (string, required, nullable)

### OrderSeat

- `id` (string, required)
- `orderId` (string, required)
- `productExternalId` (string, required, nullable)
- `status` (enum, required)
  - Allowed values: `assigned`, `unassigned`
- `assignee` (SeatAssignee, required)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)

### SeatAssignee

- `id` (string, required)
- `externalId` (string, required)
- `email` (string, required, nullable)

## Examples

**Request**

```json
{
  "assignments": [
    {
      "seatId": "string",
      "userExternalId": "string"
    }
  ]
}
```

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "orderId": "string",
      "productExternalId": "string",
      "status": "assigned",
      "assignee": {
        "id": "string",
        "externalId": "string",
        "email": "string"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.agentpaid.io/api/v2/orders/id/seat-assignments"

payload = { "assignments": [
        {
            "seatId": "string",
            "userExternalId": "string"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentpaid.io/api/v2/orders/id/seat-assignments';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"assignments":[{"seatId":"string","userExternalId":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentpaid.io/api/v2/orders/id/seat-assignments"

	payload := strings.NewReader("{\n  \"assignments\": [\n    {\n      \"seatId\": \"string\",\n      \"userExternalId\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentpaid.io/api/v2/orders/id/seat-assignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"assignments\": [\n    {\n      \"seatId\": \"string\",\n      \"userExternalId\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.agentpaid.io/api/v2/orders/id/seat-assignments")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"assignments\": [\n    {\n      \"seatId\": \"string\",\n      \"userExternalId\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.agentpaid.io/api/v2/orders/id/seat-assignments', [
  'body' => '{
  "assignments": [
    {
      "seatId": "string",
      "userExternalId": "string"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentpaid.io/api/v2/orders/id/seat-assignments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"assignments\": [\n    {\n      \"seatId\": \"string\",\n      \"userExternalId\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["assignments": [
    [
      "seatId": "string",
      "userExternalId": "string"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentpaid.io/api/v2/orders/id/seat-assignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```